For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • v2 Migration
    • Webflow v1 API Deprecation Notice
    • Migrating to v2
  • Meta
    • GETAuthorized User
    • GETAuthorized Info
  • Sites
  • CMS
  • Ecommerce
      • GETGet Ecommerce Settings
LogoLogo
Resources
Get started
EcommerceSettings

Get Ecommerce Settings

GET
https://api.webflow.com/sites/:site_id/ecommerce/settings
GET
/sites/:site_id/ecommerce/settings
$curl https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/ecommerce/settings \
> -H "Accept-Version: 1.0.0" \
> -H "Authorization: Bearer <token>"
1{
2 "createdOn": "2019-02-21T18:41:47.312Z",
3 "site": "62f3b1f7eafbc45d0c64ef93",
4 "defaultCurrency": "USD"
5}
Retrieve ecommerce settings for a site.
Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "uuid"
Unique identifier for a Site

Headers

Accept-VersionstringOptional
The API version

Response

Request was successful
createdOnstringformat: "date-time"
Date that the site was created on
sitestringformat: "uuid"
The ID of the site being queried
defaultCurrencystring

The three-letter currency code of the site

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error